#!/bin/bash

set -euo pipefail

function build_image() {
    local dockerfile="$1"
    local image_name="${dockerfile//Dockerfile./}"
    docker build -t "$image_name:latest" -f "$dockerfile" .
}

# iterate through the docker files in format Dockerfile.IMAGE_NAME
for dockerfile in Dockerfile.*
do
    (
        build_image "$dockerfile"
    ) &
done

wait


